
#ifndef _HTMARCH_H
#define _HTMARCH_H

#ifndef HTMARCH_EXPORTS
#define HTMARCH_API extern "C"__declspec(dllimport)
#endif

#define WINAPI __stdcall


HTMARCH_API short WINAPI dsoOpenDevice(WORD DeviceIndex);
HTMARCH_API short WINAPI dsoPenSetVoltDIV(WORD DeviceIndex,int nVoltDIV);
HTMARCH_API short WINAPI dsoSetTimeDIV(WORD DeviceIndex,int nTimeDIV);
HTMARCH_API short WINAPI dsoPenReadHardData(WORD DeviceIndex,short* pCH1Data, short* pCH2Data,ULONG nReadLen,short* pCalLevel,int nCHVoltDIV,short nTrigSweep,short nTrigLevel,short nSlope,int nTimeDIV,short nHTrigPos,ULONG nDisLen,ULONG* nTrigPoint,short nInsertMode);
HTMARCH_API unsigned short WINAPI dsoGetCalLevel(WORD DeviceIndex,short* level,short nLen);
HTMARCH_API short WINAPI dsoPenCalibrate(WORD nDeviceIndex,int nTimeDIV,int nCHVoltDIV,short* pCalLevel);
HTMARCH_API unsigned short WINAPI dsoSetCalLevel(WORD DeviceIndex,short* level,short nLen);
HTMARCH_API short WINAPI dsoPenReadKey(WORD DeviceIndex,USHORT* pKey);
HTMARCH_API short WINAPI dsoPenSetCoupling(WORD DeviceIndex,int nCoupling);

#endif